<?php
session_start();  
include_once("../scripts/connect.php");
include("../scripts/session.php");
//Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/
	header("Location: ../login.php?err=NoSesion");
    }/*no hay sesion*/

    else{
       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
    }
    //fin validar session
  $conexion=conecta_default();
  $id_dist = $sesion->id;
date_default_timezone_set('America/Mexico_City');
setlocale(LC_ALL,"es_ES");
extract($_POST);
	if (@$aceptar != "Agregar Salida") {
	echo "	<div align=\"center\"><font size=\"5\"><br><b>Salida de Efectivo</b><br><br></font>

	<form name=\"Agrega\" action=\"salidaef.php\" method=\"post\">



	  <table border=\"1\"  cellpadding=\"5\">

	    <tr>

      <td>Cantidad</td>

      <td ><label>

        <input name=\"total\" type=\"text\" id=\"total\" size=\"8\" maxlength=\"8\" />

        </label></td><td></td>

    </tr>

	

	    <tr>

	      <td >Cantidad con letra</td>

      <td colspan=\"3\"><label>

        <input name=\"letra\" type=\"text\" id=\"letra\" size=\"35\" maxlength=\"40\"/>

        </label><br>
		<input name=\"cents\" type=\"text\" id=\"cents\" size=\"30\"maxlength=\"40\"/>
</td>
      </tr>
	   

	    <tr>

	      <td>Recibe Efectivo</td>

      <td colspan=\"3\"><label>

        <input name=\"realizo\" type=\"text\" id=\"realizo\" size=\"40\" maxlength=\"35\" />

        </label></td>

      </tr>
<tr>

	      <td>Observaciones</td>

      <td colspan=\"3\"><label>

        <input name=\"desc1\" type=\"text\" id=\"desc1\" size=\"35\" maxlength=\"40\"/>

        </label></td>

      </tr>
      </table>

  </div>

	<p align=\"center\">

	  <label>

	  <input type=\"submit\" name=\"aceptar\" id=\"aceptar\" value=\"Agregar Salida\" />

	  </label>

	</p>

	

";

	}else{
if($realizo!=null && is_numeric($total)){

		$q0 = "INSERT INTO `dineros` (  tipo_g, `fecha_g` , hora_g, `no_factura` ,`total` ,`descripcion` ,  `autorizo` , `realizo` , `id_cd` ) 

VALUES ( '3' , CURDATE(), CURTIME(), '0', '$total','$desc1', 'SALIDA', '$realizo', '$id_dist')";



		

	

		$tabla_recibida0 = mysqli_query($conexion, $q0) or die ("Problema con Query.");

		

		echo "<table><tR><td><center>
		<font size=\"5\"><b>Salida Efectivo CD:$id_dist</b></font><br>".(strftime("%A, %d de %B de %Y; a las %X"))."<br><br>
		Cantidad: <font size=\"5\"><b>$ $total</b></font><br>
	
		<b>$letra</b><br>
		<b>$cents</b><br>
		<font size=\"2\"><br></font> 
		<table border=\"1\" cellspacing=\"0\" cellpadding=\"1\">
		<tR><td>Recibe:</td><td>$realizo</td></tr></table>
		<br>
		<b>Descripci&oacute;n:</b><bR>$desc1
	
		
		<br><br><br><br><br>
		______________________________
		<br> $realizo</center></td><td width=\"40\"></td>
		
		<td><center>
		<font size=\"5\"><b>Salida Efectivo CD:$id_dist</b></font><br>".(strftime("%A, %d de %B de %Y; a las %X"))."<br><br>
		Cantidad: <font size=\"5\"><b>$ $total</b></font><br>
	
		<b>$letra</b><br>
		<b>$cents</b><br>
		<font size=\"2\"><br></font> 
		<table border=\"1\" cellspacing=\"0\" cellpadding=\"1\">
		<tR><td>Recibe:</td><td>$realizo</td></tr></table>
		<br>
		<b>Descripci&oacute;n:</b><bR>$desc1
	
		
		<br><br><br><br><br>
		______________________________
		<br> $realizo</center></td></tR><table>
		
		";
}else{ echo"<br><br><center>Existe un Error en la Captura<br>Favor de Intentar nuevamente";}
		

		

		

		



	}

   

   

   

?>

